﻿#language: ru

Функционал: 10_milk_scenario. Заполнение справочника Контрагенты + Контакнтые лица

Сценарий: 10_milk_scenario. Создание поставщика 1
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда открылось окно 'Контрагенты'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Контрагент (создание)'
	И в поле 'Наименование' я ввожу текст 'Поставщик 1'
	И я устанавливаю флаг 'Поставщик'
	И я разворачиваю группу с именем "ЮридическиеДанные"
	И в поле 'Полное наименование' я ввожу текст 'Полный поставщик 1'
	И в поле 'ИНН' я ввожу текст '1434'
	И в поле 'КПП' я ввожу текст '235235'
	И в поле 'Код по ОКПО' я ввожу текст '1434'
	И я разворачиваю группу с именем "ГруппаПланирование"
	И я нажимаю кнопку выбора у поля "Основной менеджер"
	Тогда открылось окно 'Выбор пользователя'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Пользователь (создание)'
	И в поле 'Полное имя' я ввожу текст 'Менеджер'
	И я нажимаю на кнопку 'Записать'
	И я нажимаю на кнопку 'Бейдж'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Менеджер (Пользователь)'
	И я закрываю окно 'Менеджер (Пользователь)'
	Тогда открылось окно 'Выбор пользователя'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Контрагент (создание) *'
	И в поле 'Разрешенный % ОСГ' я ввожу текст '1,00'
	И я разворачиваю группу с именем "ГруппаКонтактнаяИнформация"
	И я нажимаю на кнопку '+телефон, адрес'
	И в меню формы я выбираю 'Электронная почта'
	И в поле 'Электронная почта' я ввожу текст 'Электронная@Почта'
	И в поле 'Телефон' я ввожу текст '4535642'
	И в поле 'Адрес' я ввожу текст '24354313543'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Контрагент (создание) *' в течение 20 секунд
	Тогда открылось окно 'Контрагенты'

Сценарий: 10_milk_scenario. Создание поставщика 2
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда открылось окно 'Контрагенты'	
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Контрагент (создание)'
	И в поле 'Наименование' я ввожу текст 'Поставщик2'
	И я устанавливаю флаг 'Поставщик'
	И я устанавливаю флаг 'Перевозчик'
	И я разворачиваю группу с именем "ЮридическиеДанные"
	И в поле 'ИНН' я ввожу текст '3553'
	И в поле 'КПП' я ввожу текст '13435'
	И я разворачиваю группу с именем "ГруппаПланирование"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Контрагент (создание)' в течение 20 секунд
	Тогда открылось окно 'Контрагенты'
	И Я закрываю окно 'Контрагенты'
	И Я закрыл все окна клиентского приложения